# Uses of Interface
ch.qos.logback.core.Layout

Packages that use Layout
Package
Description
ch.qos.logback.access
This is logback access' main package.
ch.qos.logback.access.html
Contains classes to format log output in HTML.
ch.qos.logback.access.net
ch.qos.logback.classic
Contains logback classic main classes.
ch.qos.logback.classic.html
Contains classes to format log output in HTML.
ch.qos.logback.classic.layout
ch.qos.logback.classic.log4j
Contains support for log4j output formats.
ch.qos.logback.classic.net
Contains classes used to log through a network
ch.qos.logback.core
Contains the main classes of logback core.
ch.qos.logback.core.encoder
ch.qos.logback.core.html
Contains the base classes needed to format logging events to HTML.
ch.qos.logback.core.layout
ch.qos.logback.core.net
Contains the base classes used by logback to log to remote destinations.
ch.qos.logback.core.pattern
Contains the base classes used by PatternLayout.

## Uses of Layout in ch.qos.logback.access

Classes in ch.qos.logback.access that implement Layout
Modifier and Type
Class
Description
`class`
`PatternLayout`
This class is a module-specific implementation of `PatternLayout` to allow http-specific patterns to be used.

## Uses of Layout in ch.qos.logback.access.html

Classes in ch.qos.logback.access.html that implement Layout
Modifier and Type
Class
Description
`class`
`HTMLLayout`
HTMLLayout outputs events in an HTML table.

## Uses of Layout in ch.qos.logback.access.net

Methods in ch.qos.logback.access.net that return Layout
Modifier and Type
Method
Description
`protected Layout<IAccessEvent>`
SMTPAppender.`makeSubjectLayout(String subjectStr)`

## Uses of Layout in ch.qos.logback.classic

Classes in ch.qos.logback.classic that implement Layout
Modifier and Type
Class
Description
`class`
`PatternLayout`
A flexible layout configurable with pattern string.

## Uses of Layout in ch.qos.logback.classic.html

Classes in ch.qos.logback.classic.html that implement Layout
Modifier and Type
Class
Description
`class`
`HTMLLayout`
HTMLLayout outputs events in an HTML table.

## Uses of Layout in ch.qos.logback.classic.layout

Classes in ch.qos.logback.classic.layout that implement Layout
Modifier and Type
Class
Description
`class`
`TTLLLayout`
A layout with a fixed format.

## Uses of Layout in ch.qos.logback.classic.log4j

Classes in ch.qos.logback.classic.log4j that implement Layout
Modifier and Type
Class
Description
`class`
`XMLLayout`
Generates log4j.dtd compliant XML documents.

## Uses of Layout in ch.qos.logback.classic.net

Methods in ch.qos.logback.classic.net that return Layout
Modifier and Type
Method
Description
`Layout<ILoggingEvent>`
SyslogAppender.`buildLayout()`
`protected Layout<ILoggingEvent>`
SMTPAppender.`makeSubjectLayout(String subjectStr)`

## Uses of Layout in ch.qos.logback.core

Classes in ch.qos.logback.core that implement Layout
Modifier and Type
Class
Description
`class`
`LayoutBase<E>`
Methods in ch.qos.logback.core with parameters of type Layout
Modifier and Type
Method
Description
`void`
OutputStreamAppender.`setLayout(Layout<E> layout)`

## Uses of Layout in ch.qos.logback.core.encoder

Fields in ch.qos.logback.core.encoder declared as Layout
Modifier and Type
Field
Description
`protected Layout<E>`
LayoutWrappingEncoder.`layout`
Methods in ch.qos.logback.core.encoder that return Layout
Modifier and Type
Method
Description
`Layout<E>`
LayoutWrappingEncoder.`getLayout()`
Methods in ch.qos.logback.core.encoder with parameters of type Layout
Modifier and Type
Method
Description
`void`
LayoutWrappingEncoder.`setLayout(Layout<E> layout)`

## Uses of Layout in ch.qos.logback.core.html

Classes in ch.qos.logback.core.html that implement Layout
Modifier and Type
Class
Description
`class`
`HTMLLayoutBase<E>`
This class is a base class for HTMLLayout classes part of other logback modules such as logback-classic and logback-access.

## Uses of Layout in ch.qos.logback.core.layout

Classes in ch.qos.logback.core.layout that implement Layout
Modifier and Type
Class
Description
`class`
`EchoLayout<E>`
Echos the incoming object adding a line separator character(s) at the end.

## Uses of Layout in ch.qos.logback.core.net

Fields in ch.qos.logback.core.net declared as Layout
Modifier and Type
Field
Description
`protected Layout<E>`
SMTPAppenderBase.`layout`
`protected Layout<E>`
SMTPAppenderBase.`subjectLayout`
Methods in ch.qos.logback.core.net that return Layout
Modifier and Type
Method
Description
`abstract Layout<E>`
SyslogAppenderBase.`buildLayout()`
`Layout<E>`
SMTPAppenderBase.`getLayout()`
`Layout<E>`
SyslogAppenderBase.`getLayout()`
`protected abstract Layout<E>`
SMTPAppenderBase.`makeSubjectLayout(String subjectStr)`
return a layout for the subject string as appropriate for the module.
Methods in ch.qos.logback.core.net with parameters of type Layout
Modifier and Type
Method
Description
`void`
SMTPAppenderBase.`setLayout(Layout<E> layout)`
`void`
SyslogAppenderBase.`setLayout(Layout<E> layout)`

## Uses of Layout in ch.qos.logback.core.pattern

Classes in ch.qos.logback.core.pattern that implement Layout
Modifier and Type
Class
Description
`class`
`PatternLayoutBase<E>`
Methods in ch.qos.logback.core.pattern with parameters of type Layout
Modifier and Type
Method
Description
`void`
PatternLayoutEncoderBase.`setLayout(Layout<E> layout)`